=== debian/changelog ===
ceph-medic (0.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Ken Dreyer <kdreyer@redhat.com>  Wed, 28 Jun 2017 13:20:07 -0600
