=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=ceph-medic

export PYBUILD_TEST_ARGS=ceph_medic/tests

%:
	dh $@ --buildsystem pybuild --with python2
